Security Enhanced Linux Reference Policy

# Layer: services

## Module: procmail

Interfaces

### Description:

Procmail mail delivery agent.

### Interfaces:

procmail_domtrans( domain )

##### Summary

Execute procmail with a domain transition.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

procmail_exec( domain )

##### Summary

Execute procmail in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

procmail_home_filetrans_procmail_home( domain , object_class , name )

##### Summary

Create objects in user home directories with the procmail home type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | Class of the object being created.
name | The name of the object being created.

procmail_manage_home_files( domain )

##### Summary

Create, read, write, and delete procmail home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

procmail_read_home_files( domain )

##### Summary

Read procmail user home content files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

procmail_read_tmp_files( domain )

##### Summary

Read procmail tmp files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

procmail_relabel_home_files( domain )

##### Summary

Relabel procmail home files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

procmail_rw_tmp_files( domain )

##### Summary

Read and write procmail tmp files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return